---
title: "Model Systems"
weight: 40
description: "Model Systems"
---


{{<octopus>}} has the unusual feature for DFT codes of being able to handle "model systems," i.e. ones that have a user-defined arbitrary potential as opposed to a system of real atoms. This can be useful for simplified test calculations or for computations in the "effective mass" or "envelope function" approximation, e.g. for quantum dots or quantum wells. In this series of linked tutorials, we will show how to run 1D and 2D systems, how to set up a user-defined arbitrary potential, and showcase some more unusual features of {{<octopus>}}. These tutorials assume that you are already familiar with using {{<octopus>}}. If that is not the case, start first with the
{{< tutorial "basics" "Octopus basics" >}} tutorials.

{{< tutorial-series "Model Systems" >}}
